# Interface methods for submodule: FastApproximateRankImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BoxImageFilterProxy as _BoxImageFilterProxy


# Interface methods for class: FastApproximateRankImageFilter
class FastApproximateRankImageFilterProxy(_BoxImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetRadius(self, arg0: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetRadius(self, radius: int) -> None:
		""""""
		...

	def Modified(self) -> None:
		""""""
		...

	def SetNumberOfWorkUnits(self, nb: int) -> None:
		""""""
		...

	def SetRank(self, rank: float) -> None:
		""""""
		...

	def GetRank(self) -> float:
		""""""
		...

